Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.qom
Class JcrOr

    java.lang.Object
      org.modeshape.graph.query.model.Or
          org.modeshape.jcr.query.qom.JcrOr

All Implemented Interfaces:
  Serializable, Or, Constraint, LanguageObject, Visitable, JcrConstraint

    public class JcrOr

extends Or
implements Or, JcrConstraint

Implementation of the 'or' constraint for the JCR Query Object Model and the Graph API.

See Also:
  Serialized Form

Constructor Summary
`JcrOr(JcrConstraint left, JcrConstraint right)`

Method Summary
`JcrConstraint` | `getConstraint1()`
`JcrConstraint` | `getConstraint2()`
`JcrConstraint` | `left()` Get the left-hand constraint.
`JcrConstraint` | `right()` Get the right-hand constraint.

Methods inherited from class org.modeshape.graph.query.model.Or
`accept, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.modeshape.graph.query.model.Visitable
`accept`

Constructor Detail

### JcrOr

    public JcrOr(JcrConstraint left,
                 JcrConstraint right)

Parameters:
  `left` -
  `right` -

Method Detail

### left

    public JcrConstraint left()

  Get the left-hand constraint.

  Overrides:
    `left` in class `Or`
  Returns:
    the left-hand constraint; never null
  See Also:
    `And.left()`

### right

    public JcrConstraint right()

  Get the right-hand constraint.

  Overrides:
    `right` in class `Or`
  Returns:
    the right-hand constraint; never null
  See Also:
    `And.right()`

### getConstraint1

    public JcrConstraint getConstraint1()

  Specified by:
    `getConstraint1` in interface `Or`
  See Also:
    `And.getConstraint1()`

### getConstraint2

    public JcrConstraint getConstraint2()

  Specified by:
    `getConstraint2` in interface `Or`
  See Also:
    `And.getConstraint2()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.